// Name        : Lesson 01 - Plane / Урок 01 - Плоскость
// Version     : 19 dec 2012
// Author      : LODka3D
// Discription : Урок 01 создания плоскости из двух треугольников.
// 

  // Функция в которой в ЛОДку добавляются примитивы.
procedure LODPCreatePrimitive;
begin
    // Добавляем в ЛОДку четыри точки ( вершины ).
  LODPAddPoint(-0.5, -0.5, 0); // Точка 0 с координатами (-0.5, -0.5, 0).
  LODPAddPoint( 0.5, -0.5, 0); // Точка 1.
  LODPAddPoint(-0.5,  0.5, 0); // Точка 2.
  LODPAddPoint( 0.5,  0.5, 0); // Точка 3.
    // Добавляем четыри текстурные координаты.
  LODPAddTxCoord(0, 0); // Текстурная координата 0 с координатами (0, 0).
  LODPAddTxCoord(1, 0); // Текстурная координата 1.
  LODPAddTxCoord(0, 1); // Текстурная координата 2.
  LODPAddTxCoord(1, 1); // Текстурная координата 3.
    // Добавляем два треугольника. Первые три числа - индексы вершин, 
    //  четвёртое - группа сглаживания, пятое-седьмое - индексы текстурных 
    //  координат.
  LODPAddFaceInd(0, 1, 2,   1,   0, 1, 2);
  LODPAddFaceInd(1, 3, 2,   1,   1, 3, 2);
end;
